Hah! Who needs PPAs? I have my own multimedia+ repo!

Desktop Environments and Multimedia
Post Reply
Message
Author
User avatar
eor2004
Posts: 231
Joined: 2013-10-01 22:49
Location: Puerto Rico
Been thanked: 2 times

Re: Hah! Who needs PPAs?

#81 Post by eor2004 »

stevepusser wrote:A better question would be to ask why deb-multimedia continues putting out a version of ffmpeg and vlc that could break user's media systems. I think Christian may be set in his path.
I don't use deb-multimedia anymore, since it was the cause of a lot of problems when trying to upgrade from wheezy to jessie, well... maybe I could use it once to get libdvdcss2 package only and nothing more! :)
OS: Debian 10 Buster 64-bit DE: MATE 1.20 CPU: AMD Phenom II X4 925 @ 2.8GHZ RAM: 8GB CORSAIR XMS2 PC2-6400U DDR2 (CM2X2048-6400C5C) GPU: ATI Radeon HD 3200 Mobo: Gigabyte GA-MA78GPM-DS2H HDD: HGST 4TB SATA 7200RPM (HUS724040ALA640) 8)

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#82 Post by stevepusser »

Debian has a package that downloads source, builds, and installs the very latest libdvdcss2 deb, so you really don't need DMO for that, either: https://packages.debian.org/search?keyw ... ection=all
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#83 Post by stevepusser »

Updated ffmpeg to 3.2.6 for both Jessie and Stretch. This might get DVD Styler and gimp-edge built on Stretch; for some mysterious reason it kept saying it could not find ffmpeg in the standard Stretch repos that it uses when creating the virtual build environment.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#84 Post by stevepusser »

Updating gimp-edge development versions to 2.9.117. This requires a newer version of libglib2.0 for Jessie to build, so I added the sources from jessie-backports for its 2.48 version. Also got the new gimp building on the Stretch platform, so let's see if it finishes.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#85 Post by stevepusser »

Did a little trick with the build-depends for SMTube so it builds against Qt 5 if it's >= 5.6, which is the first version to support HDPI, and Qt 4 otherwise. So that means that Jessie gets Qt 4, Stretch get the Qt 5. The alternatives in the build-depends are:

Code: Select all

qt5-default (>= 5.6) | libqt4-dev (>= 4.6),
 libqt5webkit5-dev (>= 5.6) | libqtwebkit-dev,
 qttools5-dev-tools (>= 5.6) | libqt4-dev (>= 4.6),
 qtscript5-dev (>= 5.6) | libqt4-dev (>= 4.6) 
Trying the same thing with smplayer.

Edit: SMPlayer was a little tougher--had to add a bit of code that detected if it was building on Stretch, and then only export a qtchooser qt5 environment setting if that was true. I suppose that it could also detect sid and buster, plus the various Ubuntu codenames, but I'm not building for those.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#86 Post by stevepusser »

Just uploaded the SMPlayer 17.7.0 source files, so it will take a few minutes to build and publish the updated packages.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#87 Post by stevepusser »

mpv updated to the latest 0.26 release for Jessie and Stretch; backported from upstream Debian.
MX Linux packager and developer

User avatar
VentGrey
Posts: 171
Joined: 2016-04-26 23:57
Location: Guanajuato México

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#88 Post by VentGrey »

Have you thought about Lollypop music player? It is nice and lean, it is also a GPL3 based project :mrgreen:
I would exchange everything I know in exchange for half of what I don't.

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#89 Post by stevepusser »

I actually tried a build on my own Jessie base yesterday of Lollypop, but when I ran it, it failed with an error message that it needed GTK+3 3.20 minimum (though the docs say 3.14). I could put up a Stretch build, though.

Update: OK, Stretch build of Lollypop 0.9.242 is in the repo--it seems to work OK in a Stretch virtual machine I have.

Update 2: Looks like the PPA I got the sources from missed a dependency, gir1.2-soup-2.4, so uploaded a fixed version.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#90 Post by stevepusser »

QMPlay2 updated to 17.07.25 for Jessie & Stretch.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#91 Post by stevepusser »

Added youtube-dlg 0.4 (youtube-dl GUI).

Added the new Inkscape 0.92.2 release...it's maintained by the Debian Multimedia Team, so I'm using that as justification to include it as a multimedia package: https://build.opensuse.org/package/show ... t/inkscape
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#92 Post by stevepusser »

Ffmpeg upgraded to 3.3.3 for Jessie and Stretch. Due to some quirk restricted to Stretch in the OBS, that build does not support chromaprint audio fingerprinting--I had to disable it. All packages that build upon ffmpeg were automatically and successfully rebuilt.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#93 Post by stevepusser »

The development version gimp-2.9.5~151 added for Jessie and Stretch, but also added gimp dev version 2.9.6 for Stretch only, so that's what those users will get by default. A build-depend on libpng-dev >= 1.6 prevents 2.9.6 from being backported to Jessie, since that breaks the Jessie libpng-dev needed by many other build-deps.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#94 Post by stevepusser »

Hmmm..the 2.9.7~1 version from the gimp-edge PPA sources didn't have any trouble building on Jessie, so that's also now in the repos.

Later: had to remove the older gegl and babl packages to unconfuse the OBS and fix the install of GIMP 2.7~, but it's good now.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#95 Post by stevepusser »

Add slowmovideo 0.5
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#96 Post by stevepusser »

Just a notice, the download and publishing infrastructure for the OBS has been down since at least yesterday...suddenly there are people asking questions about some of my packages that I never knew anybody was using, such as KeepassXC.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#97 Post by stevepusser »

Seems to be back up now.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#98 Post by stevepusser »

SMPlayer updated to 17.9.0, Fotoxx to 17.08.3, added fotoxx-maps.

Edit: obs-studio upgraded to 20.0.1, ffmpeg to 3.3.4.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#99 Post by stevepusser »

Added Sayonara Music Player 0.9.3.
MX Linux packager and developer

User avatar
stevepusser
Posts: 12408
Joined: 2009-10-06 05:53
Has thanked: 7 times
Been thanked: 5 times

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

#100 Post by stevepusser »

mpv upgraded to 0.27, qmplay2 to 17.09.16
MX Linux packager and developer

Post Reply